List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAScope.List(ctx, operations.C1APICrossAppAccessV1XAAScopeServiceListRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAScopeServiceListResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/scopes \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/scopes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/scopes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nextPageToken": "<string>",
"scopes": [
{
"appEntitlementId": "<string>",
"appId": "<string>",
"classification": "XAA_SCOPE_CLASSIFICATION_UNSPECIFIED",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"lastDiscoveredAt": "2023-11-07T05:31:56Z",
"scopeValue": "<string>",
"source": "XAA_SCOPE_SOURCE_UNSPECIFIED",
"state": "XAA_SCOPE_STATE_UNSPECIFIED",
"updatedAt": "2023-11-07T05:31:56Z",
"xaaResourceServerId": "<string>"
}
]
}Cross-App Access
List
List the scopes defined for an application, one page at a time. To filter by resource server, state, or classification, use Search.
GET
/
api
/
v1
/
apps
/
{app_id}
/
xaa
/
scopes
List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAScope.List(ctx, operations.C1APICrossAppAccessV1XAAScopeServiceListRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAScopeServiceListResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The application to list scopes for.
Query Parameters
Page size (max 100).
Page token for pagination.
Was this page helpful?
⌘I